<?php $debug_mode_link = (version_compare(WC()->version, '2.7.0', '>=')) ? 'admin.php?page=wc-settings&tab=shipping&section=options' : 'admin.php?page=wc-status&tab=tools' ?>
<div id="trs-help"><p class="trs-help-title">== Help ==</p>
    <ul>
        <li><strong>Options:</strong>
            <ul>
                <li><strong>Debug Mode:</strong> While configuring and testing plugin enable shipping debug mode option <a href="<?= $debug_mode_link ?>" target="_blank">here</a> to bypass shipping rate cache.</li>
                <li><strong>Method Title:</strong> It is shown as shipping method name to customers during checkout. If "<a href="#" class="trs-jump">Use Comment as Title</a>" is enabled then comment in matched rule is shown as method name.</li>
                <li><strong>Table Rates:</strong>
                    <ul>
                        <li><strong>New Rule:</strong> Fill the values in last row of table and click "<a href="#" class="trs-jump">Save</a>" to create new rule. You can add multiple rules at a time, while filling values in a rule, new empty row will be added below it.</li>
                        <li><strong>Update Rule:</strong> When you click table cell it allows editing that value. You can hit escape to exit without saving and hit enter or click anywhere outside edit field to update the value.</li>
                        <li><strong>Rule Priority:</strong> Rules are checked from first to last to check for limits and if package details are in rule limits that rule is used for shipping cost and it will stop looking further.</li>
                        <li><strong>Bulk Actions:</strong>
                            <ul>
                                <li><strong>Enable:</strong> Enable selected rules.</li>
                                <li><strong>Disable:</strong> Disable selected rules.</li>
                                <li><strong>Delete:</strong> Deleted selected rules.</li>
                                <li><strong>CSV Import:</strong> Import rules from uploaded CSV file to table. To get sample CSV file format, create few rules in table and click "<a href="#" class="trs-jump">CSV Export</a>".<br>In shipping class column "class" you can insert comma separated shipping class ids or shipping class slugs. Separator specified in "<a href="admin.php?page=wc-settings&tab=shipping&section=options" target="_blank">CSV Separator</a>" is used while rendering CSV file.</li>
                                <li><strong>CSV Export:</strong> Export rules from table to CSV file. Separator specified in "<a href="admin.php?page=wc-settings&tab=shipping&section=options" target="_blank">CSV Separator</a>" field is used while generating CSV file.</li>
                                <li><strong>Optimize:</strong> Delete orphaned rules from database table.</li>
                                <li><strong>Reload:</strong> Reload table rates table.</li>
                            </ul>
                        </li>
                        <li><strong>Limits:</strong> Package details are checked against all the 5 limits. For particular rule to be considered all the 5 package details should be in defined limits. If you want to skip any column, just leave it blank.</li>
                        <li><strong>Filters:</strong>
                            <ul>
                                <li>When you select shipping classes to filter all the rules that satisfy that filter are shown. E.g. when you select &quot;Class One&quot; all the rules that contains &quot;Class One&quot; and &quot;- Any -&quot; are shown.</li>
                                <li>You can filter weight, price, quantity &amp; volume by fixed value and range. All the rules that come under that filter will be shown. E.g. when you type &quot;4&quot; all the rules like &quot;4&quot;, &quot;1-5&quot;, &quot;1-4&quot; &amp; &quot;4-7&quot; are shown and when you type &quot;3-6&quot; all the rules like &quot;4&quot;, &quot;1-3&quot;, &quot;6-8&quot;, &quot;4-5&quot; &amp; &quot;1-8&quot; are shown.</li>
                                <li>When you filter by cost, comment &amp; active all rules that exactly matches that filter are shown.</li>
                            </ul>
                        </li>
                        <li><strong>Shipping Class:</strong> Select shipping classes. You can select multiple classes.</li>
                        <li><strong>Weight:</strong> Define weight limit. It can be fixed value or range. You can define range as 10.5-15.5, to meet this range package weight should be equal or in between upper and lower limit.<br>Weight can be actual or volumetric based on selected option in &quot;<a href="#" class="trs-jump">Weight Type</a>&quot;.</li>
                        <li><strong>Price:</strong> Define price limit. It can be defined same as weight in fixed value or range. Price can be tax incl. or excl. based on selected option in &quot;<a href="#" class="trs-jump">Price Type</a>&quot;.</li>
                        <li><strong>Quantity:</strong> Define quantity limit. It can be defined same as weight in fixed value or range.</li>
                        <li><strong>Volume:</strong> Define volume limit. It can be defined same as weight in fixed value or range. Product volume is calculated as length x width x height.</li>
                        <li><strong>Cost:</strong> Define shipping cost for the limits in the row. It can be a fixed value or formula explained <a href="#" class="trs-jump" data-jump="Cost Formula">here</a>.</li>
                        <li><strong>Comment:</strong> Define comment or rule description. If "<a href="#" class="trs-jump">Use Comment as Title</a>" is enabled it can be used as shipping method title.</li>
                        <li><strong>Status:</strong> Enable or Disable rule. Rule is only checked if it is enabled.</li>
                        <li><strong>Actions:</strong>
                            <ul>
                                <li><strong>Delete:</strong> Delete rule.</li>
                                <li><strong>Move:</strong> You can drag drop rules to arrange it based on priority explained <a href="#" class="trs-jump" data-jump="Rule Priority">here</a>.</li>
                            </ul>
                        </li>
                        <li><strong>Save:</strong> Save new rules.</li>
                    </ul>
                </li>
                <li><strong>Tax Status:</strong> Select whether or not to apply tax to the shipping amount.</li>
                <li><strong>Weight Type:</strong>
                    <ul>
                        <li><strong>Use actual weight:</strong> In this type actual weight is used.</li>
                        <li><strong>Use volumetric weight:</strong> In this type volumetric weight is used.</li>
                        <li><strong>Use greater among actual and volumetric weights:</strong> In this type greater among actual and volumetric weights is used.</li>
                        <li><strong>Use smaller among actual and volumetric weights:</strong> In this type smaller among actual and volumetric weights is used.</li>
                    </ul>
                </li>
                <li><strong>Volumetric Divisor:</strong> It is the volume divisor used to calculate volumetric weight.</li>
                <li><strong>Price Type:</strong>
                    <ul>
                        <li><strong>Tax incl.:</strong> In this type tax inclusive price is used.</li>
                        <li><strong>Tax excl.:</strong> In this type tax exclusive price is used.</li>
                    </ul>
                </li>
                <li><strong>Calculation Type:</strong>
                    <ul>
                        <li><strong>Per order:</strong> In this type all cart items are considered as one package. All combined shipping classes and totaled weight, price, quantity and volume are checked for matching rule.</li>
                        <li><strong>Per line:</strong> In this type every line in cart is considered as separate package. Each line is checked for matching rule and found prices are totaled to get final shipping.</li>
                        <li><strong>Per class:</strong> In this type all the line with common shipping class is considered as separate package. Each package is checked for matching rule and found prices are totaled to get final shipping.</li>
                    </ul>
                </li>
                <li><strong>Use Comment as Title:</strong> If it is enabled and if "<a href="#" class="trs-jump">Calculation Type</a>" is "<a href="#" class="trs-jump">Per order</a>" then comment of matching rule is shown as shipping method title during checkout <br>and if "<a href="#" class="trs-jump">Calculation Type</a>" is "<a href="#" class="trs-jump">Per line</a>" or "<a href="#" class="trs-jump">Per class</a>" and if all found rules have same comment then comment is used else "<a href="#" class="trs-jump">Method Title</a>" is used as shipping method title.</li>
            </ul>
        </li>
        <li><strong>Features:</strong>
            <ul>
                <li><strong>Cost Formula:</strong> In formula you can use below operators, variables and functions. E.g. 2*ceil(twi)+2.5. Using formulas you can implement complex shipping requirements.
                    <ul>
                        <li><strong>Operators:</strong> +, -, * and /.</li>
                        <li><strong>Variables:</strong> Suffix f, t and i in below variables means upper limit, lower limit and increase in current rule. <br>E.g. if weight range limit is 10-20 and package weight is 13 then tw = 13, twf = 10, twt = 20 and twi = 3.
                            <ul>
                                <li><strong>tw:</strong> Total weight. <strong>twf:</strong> Total weight from. <strong>twt:</strong> Total weight to. <strong>twi:</strong> Total weight increase.</li>
                                <li><strong>tp:</strong> Total price(tax incl.). <strong>tpf:</strong> Total price(tax incl.) from. <strong>tpt:</strong> Total price(tax incl.) to. <strong>tpi:</strong> Total price(tax incl.) increase.</li>
                                <li><strong>tq:</strong> Total quantity. <strong>tqf:</strong> Total quantity from. <strong>tqt:</strong> Total quantity to. <strong>tqi:</strong> Total quantity increase.</li>
                                <li><strong>tv:</strong> Total volume. <strong>tvf:</strong> Total volume from. <strong>tvt:</strong> Total volume to. <strong>tvi:</strong> Total volume increase.</li>
                                <li><strong>skip:</strong> Skip current rule.</li>
                                <li><strong>stop:</strong> Stop checking further and discard shipping method.</li>
                            </ul>
                        </li>
                        <li><strong>Functions:</strong>
                            <ul>
                                <li><strong>ceil():</strong> Return numbers rounded up to the nearest integer. E.g. ceil(2.4) = 3.</li>
                                <li><strong>floor():</strong> Return numbers rounded down to the nearest integer. E.g. ceil(2.4) = 2.</li>
                                <li><strong>sqrt():</strong> Return square root of numbers. E.g. sqrt(9) = 3.</li>
                                <li><strong>abs():</strong> Return absolute value of numbers. E.g. abs(-4.2) = 4.2.</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
        <li><strong>Use Cases:</strong>
            <ul>
                <li><strong>Shipping by increase in weight, price, quantity or volume:</strong>
                    <ul>
                        <li>E.g. if 0-10kg then $15 and for 10-100kg then $2 per kg increase in weight:<br>Weight range 0-10 shipping cost 15<br>Weight range 10-100 shipping cost 15+ceil(twi), where <a href="#" class="trs-jump">twi</a> is increase in weight and ceil is explained <a href="#" class="trs-jump" data-jump="ceil()">here</a>.</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <p>Please submit ticket <a href="https://www.kahanit.com/submit-ticket" target="_blank">here</a> to get further help.</p>
</div>